#!/usr/bin/env python
# -*- coding: utf-8 -*-

#   Copyright (c) 2011, 2012 Jacopo Lorenzetti <jacopol at cyan.xubiq.com>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Distutils Setup Script for GNOME Session Shutdown"""

import sys
import new
from distutils.core import setup

NAME = 'gnome-session-shutdown'

def fimport(fpath):
	"""Manually import a module from fpath."""
	imported = new.module('imported')
	sys.modules['imported'] = imported
	imported.__file__ = fpath
	exec compile(open(fpath).read() + '\n', fpath, 'exec') in imported.__dict__ 
	return imported

# import gnome-session-shutdown
imported = fimport('./' + NAME)

# extract description from imported docstring
doc_fragments = imported.__doc__.split('\n\n', 1)
description = doc_fragments[0].replace('\n', ' ')
long_description = doc_fragments[1].replace('\n', ' ')

setup(
	name=NAME,
	version=imported.__version__,
	author=imported.__author__,
	author_email=imported.__email__,
	license=imported.__license__,
	scripts=[NAME],
	description=description,
	long_description=long_description,

	keywords=['shutdown','gnome'],
	url='https://launchpad.net/gnome-session-shutdown',
	requires=['dbus', 'argparse'],
	classifiers=[
				'Development Status :: 5 - Production/Stable',
				'Environment :: X11 Applications :: Gnome',
				'Intended Audience :: End Users/Desktop',
				'License :: OSI Approved :: GNU General Public License (GPL)',
				'Operating System :: POSIX',
				'Programming Language :: Python',
				'Topic :: Desktop Environment :: Gnome',
				'Topic :: Utilities',
				],
	)

